Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
@@ -18336,15 +18188,15 @@
 
 !#ifdef ISOVERIF 
-!      write(*,*) 'controle SUBROUTINE coord_prod_nucl_HTO' !ok
-!      write(*,*) 'iim,jjm,dlat,dlon',iim,jjm,dlat,dlon
-!      write(*,*) 'indice coord_HTO', coord_jessai
-!      write(*,*) 'latitude_deg, lat_HTO',latitude_deg(coord_jessai),lat_jessai
-!      write(*,*) 'longitude_deg, lon_HTO',longitude_deg(coord_jessai),lon_jessai
-!      write(*,*) 'kmin_HTO, kmax_HTO', kmin_jessai, kmax_jessai
-!      write(*,*) 'alt_min(k), alt_min(k+1), zmin_HTO', 
+!      WRITE(*,*) 'controle SUBROUTINE coord_prod_nucl_HTO' !ok
+!      WRITE(*,*) 'iim,jjm,dlat,dlon',iim,jjm,dlat,dlon
+!      WRITE(*,*) 'indice coord_HTO', coord_jessai
+!      WRITE(*,*) 'latitude_deg, lat_HTO',latitude_deg(coord_jessai),lat_jessai
+!      WRITE(*,*) 'longitude_deg, lon_HTO',longitude_deg(coord_jessai),lon_jessai
+!      WRITE(*,*) 'kmin_HTO, kmax_HTO', kmin_jessai, kmax_jessai
+!      WRITE(*,*) 'alt_min(k), alt_min(k+1), zmin_HTO',
 !     :            alt(coord_jessai,kmin_jessai),
 !     :            alt(coord_jessai,kmin_jessai+1),
 !     :            zmin_jessai
-!      write(*,*) 'alt_max(k), alt_max(k+1), zmax_HTO',
+!      WRITE(*,*) 'alt_max(k), alt_max(k+1), zmax_HTO',
 !     :            alt(coord_jessai,kmax_jessai),
 !     :            alt(coord_jessai,kmax_jessai+1),
@@ -18366,6 +18218,6 @@
                                       prod_nucl)
         USE isotopes_mod, ONLY: iso_HTO
-        use lmdz_geometry, only: cell_area
-        use dimphy, only: klon,klev
+        use lmdz_geometry, ONLY: cell_area
+        use dimphy, ONLY: klon,klev
         USE lmdz_yomcst
 #ifdef ISOVERIF
@@ -18397,7 +18249,7 @@
       enddo
 !#ifdef ISOVERIF
-!      write(*,*) 'ixt,j,coord_HTO',ixt,j,coord_jessai !ok
-!      write(*,*) 'kmin_HTO, kmax_HTO', kmin_jessai, kmax_jessai
-!      write(*,*) 'day_sec, P_HTO', day_sec, P_jessai
+!      WRITE(*,*) 'ixt,j,coord_HTO',ixt,j,coord_jessai !ok
+!      WRITE(*,*) 'kmin_HTO, kmax_HTO', kmin_jessai, kmax_jessai
+!      WRITE(*,*) 'day_sec, P_HTO', day_sec, P_jessai
 !#endif
 
@@ -18410,26 +18262,26 @@
               prod_nucl(ixt,j,k)=prod_nucl(ixt,j,k)+prod_nucl_tmp(j,k)
 #ifdef ISOVERIF
-       if (kmin_jessai.ge.kmax_jessai) then
-       write(*,*) 'Pb SUBROUTINE calcul_prod_nucl_HTO(k<klev)'
-       write(*,*) 'kmin_HTO devrait etre plus petit que kmax_HTO'
-       write(*,*) 'kmin_HTO,kmax_HTO',kmin_jessai,kmax_jessai
-       write(*,*) 'ixt,i,k',ixt,j,k
-       write(*,*) 'coord_HTO', coord_jessai
+       if (kmin_jessai.ge.kmax_jessai) THEN
+       WRITE(*,*) 'Pb SUBROUTINE calcul_prod_nucl_HTO(k<klev)'
+       WRITE(*,*) 'kmin_HTO devrait etre plus petit que kmax_HTO'
+       WRITE(*,*) 'kmin_HTO,kmax_HTO',kmin_jessai,kmax_jessai
+       WRITE(*,*) 'ixt,i,k',ixt,j,k
+       WRITE(*,*) 'coord_HTO', coord_jessai
        stop
        endif
 
        if ((prod_nucl_tmp(j,k).le.0.).or. &
-            (prod_nucl(ixt,j,k).le.0.)) then
-       write(*,*) 'Pb SUBROUTINE calcul_prod_nucl_HTO(k<klev)'
-       write(*,*) 'prod_nucl_tmp(i,k) ou d_xt_prod_nucl devraient etre positifs'
-       write(*,*) 'ixt,i,k',ixt,j,k
-       write(*,*) 'RG, cell_area=', RG, cell_area(j)
-       write(*,*) 'coord_HTO,kmin_HTO,kmax_HTO', &
+            (prod_nucl(ixt,j,k).le.0.)) THEN
+       WRITE(*,*) 'Pb SUBROUTINE calcul_prod_nucl_HTO(k<klev)'
+       WRITE(*,*) 'prod_nucl_tmp(i,k) ou d_xt_prod_nucl devraient etre positifs'
+       WRITE(*,*) 'ixt,i,k',ixt,j,k
+       WRITE(*,*) 'RG, cell_area=', RG, cell_area(j)
+       WRITE(*,*) 'coord_HTO,kmin_HTO,kmax_HTO', &
                      coord_jessai,kmin_jessai,kmax_jessai
-       write(*,*) 'P_HTO, day_sec', P_jessai, day_sec
-       write(*,*) 'paprs(coord_HTO,kmin),paprs(coord_HTO,kmax)', &
+       WRITE(*,*) 'P_HTO, day_sec', P_jessai, day_sec
+       WRITE(*,*) 'paprs(coord_HTO,kmin),paprs(coord_HTO,kmax)', &
                      paprs(j,kmin_jessai), paprs(j,kmax_jessai)
-       write(*,*) 'prod_nucl_tmp(i,k)', prod_nucl_tmp(j,k)
-       write(*,*) 'd_xt_prod_nucl(ixt,i,k)',prod_nucl(ixt,j,k)
+       WRITE(*,*) 'prod_nucl_tmp(i,k)', prod_nucl_tmp(j,k)
+       WRITE(*,*) 'd_xt_prod_nucl(ixt,i,k)',prod_nucl(ixt,j,k)
        stop
        endif
@@ -18445,26 +18297,26 @@
 #ifdef ISOVERIF
        if ((kmin_jessai.ne.kmax_jessai).and. &
-           (kmin_jessai.ne.klev)) then
-       write(*,*) 'Pb SUBROUTINE calcul_prod_nucl_HTO(k=klev)'
-       write(*,*) 'kmin_HTO et kmax_HTO devraient etre egaux a klev'
-       write(*,*) 'kmin_HTO,kmax_HTO',kmin_jessai,kmax_jessai
-       write(*,*) 'ixt,i,k',ixt,j,k
-       write(*,*) 'coord_HTO', coord_jessai
+           (kmin_jessai.ne.klev)) THEN
+       WRITE(*,*) 'Pb SUBROUTINE calcul_prod_nucl_HTO(k=klev)'
+       WRITE(*,*) 'kmin_HTO et kmax_HTO devraient etre egaux a klev'
+       WRITE(*,*) 'kmin_HTO,kmax_HTO',kmin_jessai,kmax_jessai
+       WRITE(*,*) 'ixt,i,k',ixt,j,k
+       WRITE(*,*) 'coord_HTO', coord_jessai
        stop
        endif
 
        if ((prod_nucl_tmp(j,k).le.0.).or. &
-           (prod_nucl(ixt,j,k).le.0.)) then
-       write(*,*) 'Pb SUBROUTINE calcul_prod_nucl_HTO(k=klev)'
-       write(*,*) 'prod_nucl_tmp(i,k) ou d_xt_prod_nucl devraient etre positifs'
-       write(*,*) 'ixt,i,k',ixt,j,k
-       write(*,*) 'RG, cell_area(i)', RG, cell_area(j)
-       write(*,*) 'coord_HTO,kmin_HTO,kmax_HTO', &
+           (prod_nucl(ixt,j,k).le.0.)) THEN
+       WRITE(*,*) 'Pb SUBROUTINE calcul_prod_nucl_HTO(k=klev)'
+       WRITE(*,*) 'prod_nucl_tmp(i,k) ou d_xt_prod_nucl devraient etre positifs'
+       WRITE(*,*) 'ixt,i,k',ixt,j,k
+       WRITE(*,*) 'RG, cell_area(i)', RG, cell_area(j)
+       WRITE(*,*) 'coord_HTO,kmin_HTO,kmax_HTO', &
                      coord_jessai,kmin_jessai,kmax_jessai
-       write(*,*) 'P_HTO, day_sec', P_jessai, day_sec
-       write(*,*) 'paprs(coord_HTO,kmin),paprs(coord_HTO,kmax+1)', &
+       WRITE(*,*) 'P_HTO, day_sec', P_jessai, day_sec
+       WRITE(*,*) 'paprs(coord_HTO,kmin),paprs(coord_HTO,kmax+1)', &
                      paprs(j,kmin_jessai), paprs(j,kmax_jessai+1)
-       write(*,*) 'prod_nucl_tmp(i,k)', prod_nucl_tmp(j,k)
-       write(*,*) 'd_xt_prod_nucl(ixt,i,k)',prod_nucl(ixt,j,k)
+       WRITE(*,*) 'prod_nucl_tmp(i,k)', prod_nucl_tmp(j,k)
+       WRITE(*,*) 'd_xt_prod_nucl(ixt,i,k)',prod_nucl(ixt,j,k)
        stop
        endif
@@ -18476,16 +18328,16 @@
 !      do i=1,klon
 !      do k=1,klev
-!         write(*,*) 'controle calcul_prod_nucl_HTO' !ok
-!         write(*,*) 'CALL if ok_prod_nucl_tritium, iso_HTO, nbombe>=1'
-!         write(*,*) 'klon, klev', klon, klev
-!         write(*,*) 'ixt, i, k', ixt, i, k
-!         write(*,*) 'RG, cell_area(i)', RG, cell_area(i)
-!         write(*,*) 'coord_HTO,kmin_HTO,kmax_HTO',
+!         WRITE(*,*) 'controle calcul_prod_nucl_HTO' !ok
+!         WRITE(*,*) 'CALL if ok_prod_nucl_tritium, iso_HTO, nbombe>=1'
+!         WRITE(*,*) 'klon, klev', klon, klev
+!         WRITE(*,*) 'ixt, i, k', ixt, i, k
+!         WRITE(*,*) 'RG, cell_area(i)', RG, cell_area(i)
+!         WRITE(*,*) 'coord_HTO,kmin_HTO,kmax_HTO',
 !     :               coord_jessai,kmin_jessai,kmax_jessai
-!         write(*,*) 'P_HTO, day_sec', P_jessai, day_sec
-!         write(*,*) 'paprs(coord_HTO,kmin),paprs(coord_HTO,kmax)',
+!         WRITE(*,*) 'P_HTO, day_sec', P_jessai, day_sec
+!         WRITE(*,*) 'paprs(coord_HTO,kmin),paprs(coord_HTO,kmax)',
 !     :               paprs(coord_jessai,kmin_jessai), 
 !     :               paprs(coord_jessai,kmax_jessai)
-!         write(*,*) 'd_xt_prod_nucl(ixt,i,k)', prod_nucl(ixt,i,k)
+!         WRITE(*,*) 'd_xt_prod_nucl(ixt,i,k)', prod_nucl(ixt,i,k)
 !      enddo
 !      enddo
@@ -18512,5 +18364,5 @@
 &       bidouille_anti_divergence,ridicule
 !    USE isotopes_routines_mod, ONLY: condiso_liq_ice_vectiso
-    use isotrac_mod, only: index_iso, index_zone,option_traceurs,izone_cond
+    use isotrac_mod, ONLY: index_iso, index_zone,option_traceurs,izone_cond
 #ifdef ISOVERIF
     USE isotopes_verif_mod
@@ -18539,19 +18391,19 @@
 
         ! verif que qt n'est pas nul
-        if (qt.eq.0) then
-            if (cond.lt.ridicule) then
+        if (qt.eq.0) THEN
+            if (cond.lt.ridicule) THEN
               do ixt=1,ntraciso  
                 zxtliq(ixt)=0
                 zxtice(ixt)=0
               enddo
-              return
+              RETURN
             else
                 ! c'est impossible de condenser qi pas d'eau au départ
-                write(*,*) 'condiso_liq_ice_vectiso_trac 35'
-                write(*,*) 'qt=',qt
-                write(*,*) 'cond=',cond
+                WRITE(*,*) 'condiso_liq_ice_vectiso_trac 35'
+                WRITE(*,*) 'qt=',qt
+                WRITE(*,*) 'cond=',cond
                 stop
             endif
-        endif !if (qt.eq.0) then
+        endif !if (qt.eq.0) THEN
         zcond=max(0.0,min(cond,qt))
 
@@ -18574,5 +18426,5 @@
           CALL condiso_liq_ice_vectiso(xttrac,qttrac,zcondtrac, &
                  tcond,zfice,zxticetrac,zxtliqtrac)
-!          write(*,*) 'zxticetrac=',zxticetrac
+!          WRITE(*,*) 'zxticetrac=',zxticetrac
           do iiso=1,niso          
             zxtice(index_trac(izone,iiso))=zxticetrac(iiso)
@@ -18580,29 +18432,29 @@
           enddo
 #ifdef ISOVERIF  
-        if (iso_HDO.gt.0) then 
-              if (zcondtrac.gt.ridicule) then
+        if (iso_HDO.gt.0) THEN
+              if (zcondtrac.gt.ridicule) THEN
                   if (iso_verif_aberrant_nostop(zxtice(iso_HDO)/cond &
-                   /faccond,'condiso_trac 79').eq.1) then
-                  write(*,*) 'izone=',izone
-                  write(*,*) 'zcondtrac/qttrac=',cond/qt
-                  write(*,*) 'deltaD(xt(iso_HDO)/qt)=', &
+                   /faccond,'condiso_trac 79').eq.1) THEN
+                  WRITE(*,*) 'izone=',izone
+                  WRITE(*,*) 'zcondtrac/qttrac=',cond/qt
+                  WRITE(*,*) 'deltaD(xt(iso_HDO)/qt)=', &
                                  deltaD(xttrac(iso_HDO)/qttrac)
-                  write(*,*) 'tcond=',tcond-273,'°C' 
-                  if (tcond-273.gt.-40.0) then
+                  WRITE(*,*) 'tcond=',tcond-273,'°C'
+                  if (tcond-273.gt.-40.0) THEN
                       ! au dessus de -40, il y a de quoi s'inquiéter
                       ! en dessous, on ne sait pas ce que valent les alphas
                      stop
-                  endif !if (tcond(i).gt.100.0) then
+                  endif !if (tcond(i).gt.100.0) THEN
                   endif
-                endif !if (cond.gt.ridicule) then 
-            endif !if (iso_HDO.gt.0) then
+                endif !if (cond.gt.ridicule) THEN
+            endif !if (iso_HDO.gt.0) THEN
 #endif          
         enddo ! do izone=1,ntraceurs_zone 
 
 #ifdef ISOVERIF      
-!        write(*,*) 'zxtice=',zxtice  
-!        write(*,*) 'zcond=',zcond
-!        write(*,*) 'xt=',xt
-!        write(*,*) 'qt=',qt
+!        WRITE(*,*) 'zxtice=',zxtice
+!        WRITE(*,*) 'zcond=',zcond
+!        WRITE(*,*) 'xt=',xt
+!        WRITE(*,*) 'qt=',qt
         CALL iso_verif_traceur(zxtliq(1), &
                 'condiso_liq_ice_vectiso_trac 194')
@@ -18612,16 +18464,16 @@
 #endif
 
-        if (option_traceurs.eq.17) then
+        if (option_traceurs.eq.17) THEN
            ! colorier le condensat en un tag spécifique
            do ixt=1,ntraciso
-             if (index_zone(ixt).eq.izone_cond) then
+             if (index_zone(ixt).eq.izone_cond) THEN
                 zxtliq(ixt)=zxtliq(index_iso(ixt))
                 zxtice(ixt)=zxtice(index_iso(ixt))
-             else !if (index_zone(ixt).eq.izone_cond) then
+             else !if (index_zone(ixt).eq.izone_cond) THEN
                 zxtliq(ixt)=0.0
                 zxtice(ixt)=0.0
-             endif !if (index_zone(ixt).eq.izone_cond) then
+             endif !if (index_zone(ixt).eq.izone_cond) THEN
            enddo !do ixt=1,ntraciso      
-        endif !if (option_traceurs.eq.17) then
+        endif !if (option_traceurs.eq.17) THEN
 #ifdef ISOVERIF
         CALL iso_verif_traceur(zxtliq(1), &
@@ -18640,6 +18492,6 @@
     USE isotopes_mod, ONLY: iso_eau,iso_HDO,iso_O18,bidouille_anti_divergence, &
 &       ridicule
-!    USE isotopes_routines_mod, only: condiso_liq_ice_vectall
-    use isotrac_mod, only: index_iso, index_zone,option_traceurs,izone_cond, &
+!    USE isotopes_routines_mod, ONLY: condiso_liq_ice_vectall
+    use isotrac_mod, ONLY: index_iso, index_zone,option_traceurs,izone_cond, &
 &        ridicule_trac
 #ifdef ISOVERIF
@@ -18674,24 +18526,24 @@
 
 !#ifdef ISOVERIF
-!        write(*,*) 'condisotrac 112: entrée, n=',n
+!        WRITE(*,*) 'condisotrac 112: entrée, n=',n
 !#endif
 
 !        ! verif qt pas nul
 !        do i=1,n
-!          if (qt(i).eq.0) then
-!            if (cond(i).lt.ridicule) then
+!          if (qt(i).eq.0) THEN
+!            if (cond(i).lt.ridicule) THEN
 !              do ixt=1,ntraciso  
 !                zxtliq(ixt,i)=0
 !                zxtice(ixt,i)=0
 !              enddo
-!              return
+!              RETURN
 !            else
 !                ! c'est impossible de condenser qi pas d'eau au départ
-!                write(*,*) 'condiso_liq_ice_vectall_trac 119'
-!                write(*,*) 'qt=',qt(i)
-!                write(*,*) 'cond=',cond(i)
+!                WRITE(*,*) 'condiso_liq_ice_vectall_trac 119'
+!                WRITE(*,*) 'qt=',qt(i)
+!                WRITE(*,*) 'cond=',cond(i)
 !                stop
 !            endif
-!          endif !if (qt(i).eq.0) then
+!          endif !if (qt(i).eq.0) THEN
 !        enddo !do i=1,n
 
@@ -18714,12 +18566,12 @@
             qttrac(i)=xt(ieau,i)
             if (qt(i).gt.0.0) then ! modif C Risi juillet 2020 ! remodif Camille 9 mars 2023
-!            if ((qt(i).gt.0.0).and.(xt(ieau,i).gt.0.0)) then
+!            if ((qt(i).gt.0.0).and.(xt(ieau,i).gt.0.0)) THEN
                zcondtrac(i)=(zcond(i)/qt(i))*qttrac(i)
-            else !if (qt(i).eq.0) then
+            else !if (qt(i).eq.0) THEN
 #ifdef ISOVERIF              
                 CALL iso_verif_egalite(cond(i),0.0,'condisotrac 195')
 #endif
                 zcondtrac(i)=0.0
-            endif !if (qt(i).eq.0) then
+            endif !if (qt(i).eq.0) THEN
             zcondtrac(i)=min(zcondtrac(i),qttrac(i))
             do iiso=1,niso          
@@ -18727,10 +18579,10 @@
             enddo ! do iiso=1,niso
 #ifdef ISOVERIF
-            if (iso_eau.gt.0) then
+            if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(qttrac(i), &
                  xttrac(iso_eau,i),'condisotrac 148', &
                  errmax,errmaxrel)
             endif
-            if (iso_HDO.gt.0) then
+            if (iso_HDO.gt.0) THEN
                 CALL iso_verif_aberrant_choix(xttrac(iso_HDO,i), &
                  qttrac(i),ridicule_trac,deltalimtrac, &
@@ -18744,5 +18596,5 @@
           enddo !do i=1,n
 #ifdef ISOVERIF          
-!          write(*,*) 'condisotrac 164: avant condiso, izone=',izone
+!          WRITE(*,*) 'condisotrac 164: avant condiso, izone=',izone
 #endif           
           CALL condiso_liq_ice_vectall(xttrac,qttrac,zcondtrac, &
@@ -18756,7 +18608,7 @@
           enddo !do i=1,n
         enddo !do izone=1,ntraceurs_zone
-!        write(*,*) 'zxtice(1:ntraciso,2)=',
+!        WRITE(*,*) 'zxtice(1:ntraciso,2)=',
 !     :           zxtice(1:ntraciso,2)
-!        write(*,*) 'zxtliq(1:ntraciso,2)=',
+!        WRITE(*,*) 'zxtliq(1:ntraciso,2)=',
 !     :           zxtliq(1:ntraciso,2)
 
@@ -18798,5 +18650,5 @@
 
         ! verifier que ixt est un isotope et pas un tagging
-        if (ixt.gt.niso) then
+        if (ixt.gt.niso) THEN
           CALL abort_physic('isotopes_routines_mod', 'iso_init_ideal, ixt>niso', 1)
         endif
@@ -18810,14 +18662,14 @@
 #ifdef ISOVERIF
         CALL iso_verif_noNaN(xt, 'isotopes_routines_mod 18930a: iso_init_ideal')
-        if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) then
-            if (q.gt.ridicule) then
-                    write(*,*) 'xt,q=',xt,q
-                    write(*,*) 'alpha=',alpha
-                    write(*,*) 'toce,kcin,h0=',toce,kcin,h0
-                    write(*,*) 'RMerlivat=',RMerlivat
+        if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
+            if (q.gt.ridicule) THEN
+                    WRITE(*,*) 'xt,q=',xt,q
+                    WRITE(*,*) 'alpha=',alpha
+                    WRITE(*,*) 'toce,kcin,h0=',toce,kcin,h0
+                    WRITE(*,*) 'RMerlivat=',RMerlivat
                 CALL iso_verif_aberrant_encadre( xt/q, 'isotopes_routines_mod 18930b: iso_init_ideal')
             endif
         endif
-        if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
+        if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
              CALL iso_verif_egalite(xt,q, 'isotopes_routines_mod 18930c: iso_init_ideal')
         endif
@@ -18835,5 +18687,5 @@
 use infotrac_phy, ONLY: ntraciso=>ntiso, niso
 #ifdef ISOTRAC
-    use isotrac_mod, only: option_cond,izone_cond,index_iso,index_zone,izone_poubelle
+    use isotrac_mod, ONLY: option_cond,izone_cond,index_iso,index_zone,izone_poubelle
 #endif
 #ifdef ISOVERIF
@@ -18858,11 +18710,11 @@
 
      do il=1,nloc
-       if (i.le.inb(il) .and. lwork(il)) then
-          if (wdtrain(il).gt.0.) then
+       if (i.le.inb(il) .and. lwork(il)) THEN
+          if (wdtrain(il).gt.0.) THEN
             do ixt=1,ntraciso
              xtwater(ixt,il,i)= xtwdtrain(ixt,il)/wdtrain(il)*water(il,i)
              xtevap(ixt,il,i)= xtwdtrain(ixt,il)/wdtrain(il)*evap(il,i)
             enddo
-          else !if (wdtrain(il).gt.0.) then
+          else !if (wdtrain(il).gt.0.) THEN
             do ixt=1,niso
              xtwater(ixt,il,i)= Rdefault(ixt)*water(il,i)
@@ -18871,5 +18723,5 @@
 #ifdef ISOTRAC
             do ixt=1+niso,ntraciso
-             if (index_zone(ixt).eq.izone_poubelle) then
+             if (index_zone(ixt).eq.izone_poubelle) THEN
                xtwater(ixt,il,i)= Rdefault(index_iso(ixt))*water(il,i)
                xtevap(ixt,il,i)= Rdefault(index_iso(ixt))*evap(il,i)
@@ -18880,5 +18732,5 @@
             enddo ! do ixt=1+niso,ntraciso
 #endif 
-         endif !if (wdtrain(il).gt.0.) then
+         endif !if (wdtrain(il).gt.0.) THEN
          do ixt=1,ntraciso
              xtp(ixt,il,i)= xt(ixt,il,i)/rr(il,i)*rpprec(il,i)
@@ -18903,5 +18755,5 @@
 
 ! locals
-integer :: i,k,ixt
+INTEGER :: i,k,ixt
 
 DO k=1,klev
@@ -18917,7 +18769,7 @@
           xt_seri(ixt,i,k)  = qx(i,k,iqIsoPha(ixt,ivap))
           xtl_seri(ixt,i,k) = qx(i,k,iqIsoPha(ixt,iliq))
-          if (nqo.eq.2) then
+          if (nqo.eq.2) THEN
              xts_seri(ixt,i,k) = 0.
-          else if (nqo.eq.3) then
+          else if (nqo.eq.3) THEN
              xts_seri(ixt,i,k) = qx(i,k,iqIsoPha(ixt,isol))
           endif
@@ -18943,5 +18795,5 @@
 
 ! locals
-integer :: i,k,ixt
+INTEGER :: i,k,ixt
 
 DO k=1,klev
@@ -18955,5 +18807,5 @@
           qx(i,k,iqIsoPha(ixt,ivap)) = xt_seri(ixt,i,k)  
           qx(i,k,iqIsoPha(ixt,iliq)) = xtl_seri(ixt,i,k)
-          if (nqo.ge.3) then
+          if (nqo.ge.3) THEN
              qx(i,k,iqIsoPha(ixt,isol)) = xts_seri(ixt,i,k)
           endif
